# UniTAP.dev.modules.dut_tests.dut_default_params.hdcp_1a_tests

class Hdcp1ATestParam:

Class `Hdcp1ATestParam` describes requirement parameters for HDCP 1A tests:

- Set and get `timeout`. Describes test timeout, in milliseconds.
- Set and get `revoke_id`. Describes Revoke ID.
- Set and get `dut_caps_flag`. Describes source DUT capabilities flags.

Hdcp1ATestParam(json_obj)
timeout: int

Set and get test timeout, in milliseconds.

###### Returns:

> object of int type

revoke_id: int

Set and get Revoke ID.

###### Returns:

> object of int type

dut_caps_flag: bool

Set and get DUT caps flag support.

###### Returns:

> object of bool type